<article> 
	<div <?php post_class(); ?>>                            
		<div class="home-header col-md-12"> 
			<header>
				<h2 class="page-header">                                
					<a href="<?php the_permalink(); ?>" title="<?php echo esc_attr( sprintf( __( 'Permalink to %s', 'blogmaster' ), the_title_attribute( 'echo=0' ) ) ); ?>" rel="bookmark">
						<?php the_title(); ?>
					</a>                            
				</h2> 
			</header>                                                                                                               
		</div>
		<?php if ( has_post_thumbnail() ) : ?>                                
			<div class="featured-thumbnail col-md-10"><a href="<?php the_permalink(); ?>"><?php the_post_thumbnail( 'blogmaster-home' ); ?></a></div>                                                                
			<div class="col-md-2 row"><?php get_template_part( 'template-part', 'postmeta' ); ?></div>
		<?php else : ?> 
			<div class="col-md-12"><?php get_template_part( 'template-part', 'postmeta' ); ?></div>
		<?php endif; ?>

		<div class="entry-summary home-header col-md-12">
			<?php
			$content = get_the_content();
			echo wp_trim_words( $content, '80', $more	 = '...' );
			?> 
		</div><!-- .entry-summary -->                                                                                                                                                                                                       
		<div class="clear"></div>
		<p class="text-center">                                      
			<a class="btn btn-primary btn-md outline" href="<?php the_permalink(); ?>">
				<?php esc_html_e( 'Read more', 'blogmaster' ); ?> 
			</a>                                  
		</p>
	</div>
	<div class="clear"></div>
</article>
<?php if ( $wp_query->current_post == 0 && is_active_sidebar( 'blogmaster-post-area' ) ) { ?>
	<div class="first-textarea">
		<?php dynamic_sidebar( 'blogmaster-post-area' ); ?>
	</div> 
<?php } ?>